## ros-dashing-sros2 0.7.2

=== debian/changelog ===
ros-dashing-sros2 (0.7.2-1bionic) bionic; urgency=high

  * bump package version in setup.py
  * Merge pull request #223 <https://github.com/ros2/sros2/issues/223> from mikaelarguedas/dashing_backports
    Dashing backports
  * Update maintainer to point to ros-security mailing list + fix package.xml (#179 <https://github.com/ros2/sros2/issues/179>)
  * Fix list_keys verb
    backport and adaptation of https://github.com/ros2/sros2/pull/219 to eloquent
  * Fix test_policy_to_permissions test failing when there's no internet (#158 <https://github.com/ros2/sros2/issues/158>) (#161 <https://github.com/ros2/sros2/issues/161>)
  * Fix missing resources for ament (#162 <https://github.com/ros2/sros2/issues/162>)
  * Contributors: Mikael Arguedas, Peter Baughman

 -- ROS Security Working Group <ros-security@googlegroups.com>  Tue, 16 Jun 2020 22:00:00 -0000

ros-dashing-sros2 (0.7.1-1bionic) bionic; urgency=high

  * Guard against empty ROS graph when generating policy (#118 <https://github.com/ros2/sros2/issues/118>)
  * Guard against invalid key names (#117 <https://github.com/ros2/sros2/issues/117>)
  * Contributors: Jacob Perron

 -- Michael Carroll <michael@openrobotics.org>  Tue, 11 Jun 2019 22:00:00 -0000

ros-dashing-sros2 (0.7.0-1bionic) bionic; urgency=high

  * Merge pull request #107 <https://github.com/ros2/sros2/issues/107> from mikaelarguedas/autogenerate_artifacts
  * complete xml and not yaml files for create_permission (#104 <https://github.com/ros2/sros2/issues/104>)
  * Fix bug preventing generate_policy verb from working with publishers and services
  * Add missing attributes to test permissions XML file
  * add reference to schema in generated permission files (#84 <https://github.com/ros2/sros2/issues/84>)
  * Correct sros2 cli test folder location (#83 <https://github.com/ros2/sros2/issues/83>)
  * Merge pull request #72 <https://github.com/ros2/sros2/issues/72> from ros2/xml_profile
  * Contributors: Jacob Perron, Michael Carroll, Mikael Arguedas, Ruffin

 -- Michael Carroll <michael@openrobotics.org>  Tue, 07 May 2019 22:00:00 -0000

ros-dashing-sros2 (0.6.2-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 07 Feb 2019 23:00:00 -0000

ros-dashing-sros2 (0.6.1-1bionic) bionic; urgency=high

  * Restructured sros2 to enable additional packages in this repository. (#74 <https://github.com/ros2/sros2/issues/74>)
  * Added generate_permissions verb + update policy definition to support services and actions (#71 <https://github.com/ros2/sros2/issues/71>)
  * Contributors: Jacob Perron, Ross Desmond

 -- Michael Carroll <michael@openrobotics.org>  Mon, 14 Jan 2019 23:00:00 -0000

ros-dashing-sros2 (0.6.0-1bionic) bionic; urgency=high

  * Merge pull request #70 <https://github.com/ros2/sros2/issues/70> from ros2/update_maintainer
    Update package maintainer for sros2
  * Update package maintainer for sros2.
  * separating identity and permission CAs (#67 <https://github.com/ros2/sros2/issues/67>)
  * ignore __pycache__ in git
    Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * raise FileNotFoundError if provided permission file doesn't exist (#64 <https://github.com/ros2/sros2/issues/64>)
  * refer to new xsd now that it's available (#62 <https://github.com/ros2/sros2/issues/62>)
  * fixup path of RANDFILE to match rest of tutorial (#61 <https://github.com/ros2/sros2/issues/61>)
  * Contributors: Michael Carroll, Mikael Arguedas, William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Dec 2018 23:00:00 -0000

ros-dashing-sros2 (0.5.0-1bionic) bionic; urgency=high

  * Update docs for bouncy leveraging remapping for demo (#53 <https://github.com/ros2/sros2/issues/53>)
  * Windows tutorial tweaks (#58 <https://github.com/ros2/sros2/issues/58>)
  * publish ans subscribe to all parameter service topics (#52 <https://github.com/ros2/sros2/issues/52>)
  * remove partitions (#45 <https://github.com/ros2/sros2/issues/45>)
  * as of Bouncy access control is available for both Fast-RTPS and Connext (#50 <https://github.com/ros2/sros2/issues/50>)
  * add pytest markers to linter tests
  * Remove outdated docker resources now that SROS2 ships as part of the core (#48 <https://github.com/ros2/sros2/issues/48>)
  * add X509 extensionCA:false (#47 <https://github.com/ros2/sros2/issues/47>)
  * enable_liveliness_protection (#44 <https://github.com/ros2/sros2/issues/44>)
  * set zip_safe to avoid warning during installation (#42 <https://github.com/ros2/sros2/issues/42>)
  * Linter fixup
  * add special service rule only if not wildcarding everything (#40 <https://github.com/ros2/sros2/issues/40>)
  * remove whant now appears to be obsolete DCPS whitelisting (#34 <https://github.com/ros2/sros2/issues/34>)
  * fix sample_policy download command (#37 <https://github.com/ros2/sros2/issues/37>)
  * Fix access control for ardent (#33 <https://github.com/ros2/sros2/issues/33>)
  * advise to ask questions on ROS answers
  * print full help when no command is passed (#35 <https://github.com/ros2/sros2/issues/35>)
  * add return code to all verb apis (#28 <https://github.com/ros2/sros2/issues/28>)
  * Contributors: Dirk Thomas, Mikael Arguedas, Shane Loretz, dhood

 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 Jun 2018 22:00:00 -0000

ros-dashing-sros2 (0.4.0-1bionic) bionic; urgency=high

  * update maintainer
  * update instructions now that connext security is supported on all pla… (#30 <https://github.com/ros2/sros2/issues/30>)
  * explicitly call out setting the variables (#29 <https://github.com/ros2/sros2/issues/29>)
  * remove test_suite, add pytest as test_requires (#27 <https://github.com/ros2/sros2/issues/27>)
  * update xml to match spec + connext 53 (#16 <https://github.com/ros2/sros2/issues/16>)
  * 0.0.3
  * install/setup.bat -> <path to ros2 install>/setup.bat (#25 <https://github.com/ros2/sros2/issues/25>)

