=== debian/control ===
Source: ros-dashing-sros2
Section: misc
Priority: optional
Maintainer: ROS Security Working Group <ros-security@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-dashing-ament-copyright, ros-dashing-ament-flake8, ros-dashing-ament-pep257, ros-dashing-rclpy, ros-dashing-ros2cli, ros-dashing-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-sros2
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, openssl, python3-lxml, ros-dashing-ament-index-python, ros-dashing-rclpy, ros-dashing-ros2cli, ros-dashing-ros-workspace
Description: Command line tools for managing SROS2 keys
